
%define _target_cpu	i586

%define	cpm_l_version	1.0
%define	cpm_l_dirs	1

%define	summary	CP/M for Linux - fdutils
%define	copy	GPL/Linux
%define	name	cpm4l-fdutils
%define	version	5.5
%define	release	20050323

%if %{cpm_l_dirs}
%define	_sysmandir	%{_mandir}
%define	_sysinfodir	%{_infodir}
%define	_sysetcdir	%{_sysconfdir}

%if "%(echo $CPM4L)" == ""
%define	_prefix		/opt/cpm4l
%else
%define	_prefix		%(echo $CPM4L)
%endif

%define	_prefix		/opt/cpm4l
%define	_libexecdir	%{_prefix}/libexec
%define	_datadir	%{_prefix}/share
%define	_sysconfdir	%{_prefix}/etc
%define	_localstatedir	%{_prefix}/var/lib
%define	_mandir		%{_prefix}/man
%define	_infodir	%{_prefix}/info
%define	_docdir		%{_prefix}/doc
%endif

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	%{copy}
Distribution:	LiPronix
Vendor:		Li-Pro.Net
Packager:	Stephan Linz <linz@li-pro.net>
URL:		http://www.li-pro.net/cpm4l
Group:		Development/CPM4L/Disk
Icon:		cpm4l.xpm
ExclusiveOS:	linux
BuildRequires:	cpm4l-base >= 0.2
BuildRequires:	e2fsprogs-devel
BuildRequires:	texinfo >= 4.2
BuildRequires:	ghostscript
BuildRequires:	tetex-dvips
Provides:	getfdprm
Provides:	setfdprm
Provides:	superformat
Requires:	cpm4l-base >= 0.2
Conflicts:	fdutils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	http://fdutils.linux.lu/fdutils-%{version}.tar.bz2
Patch1:		fdutils-5.4-linux2.6-buildfix.patch.bz2
Patch2:		fdutils-5.4-typo_fixes.patch.bz2
Patch3:		fdutils-5.4-cpm4l_ext.patch.bz2

%description
CPM4L stands for CP/M for Linux and should you support with a comprehensive
tool suite of programs and utilities to access old CP/M discs, emulate
old CP/M software, and cross compile / assemble new CP/M software. The main
focuse will be at CP/M 2.2 for Z80 processors and some usage with Robotron
related material.

What's Robotron? Oh, I believe ther will be only few people who know it.
Robotron was the main computer company inside of the "good old" GdR.

Til now there are the following packages available:

   * see cpm4l-base package



Utilities for formatting floppies and configuring the floppy
drive. Allows to make and access "special" floppies, such as CP/M,
OS/2's XDF format and other formats.  Stores up to 1992K on a high
density disk

There is support for old Robotron CP/M floppies like SCP 780/800
or SCP 624/640.

%package doc
Summary:	%{summary} -- documentation
Group:		Development/CPM4L/doc
Requires:	%{name} = %{version}
Requires:	man
Prereq:		/usr/bin/man
Requires:	info-install
Prereq:		%{__install_info}

%description doc
This is the documentation package for the fdutils part of CPM4L. Have
a look at:

   * cpm4l-fdutils

%prep
%setup -q -n fdutils-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1

# CPM4L-zification for bug reports
perl -pi -e '/^@set/ and s/(VERSION %{version})$/\1 \(CPM4L %{cpm_l_version} %{version}-%{release}\)/;' \
	doc/fdutils.texi

%build
CFLAGS="${RPM_OPT_FLAGS}" CXXFLAGS="${RPM_OPT_FLAGS}"
%configure
%make all
# documentations
( cd doc; make html )
( cd doc; dvips -o Fdutils.ps Fdutils.dvi; dvipdf -sPAPERSIZE=a4 Fdutils.dvi )

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man4}/
mkdir -p $RPM_BUILD_ROOT%{_infodir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall UID=$(id -un) GID=$(id -gn)
for i in `file ${RPM_BUILD_ROOT}%{_bindir}/* | grep ELF | sed -e "s/:.*$//g"`; do \
  strip ${i}; done
gzip -q9f $RPM_BUILD_ROOT%{_infodir}/*.info*
### QnD hack ###
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{fdmountd.1,fdumount.1,xdfformat.1}
gzip -q9f $RPM_BUILD_ROOT%{_mandir}/{man1,man4}/*
ln -s fdmount.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/fdmountd.1.gz
ln -s fdmount.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/fdumount.1.gz
ln -s xdfcopy.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/xdfformat.1.gz
### QnD hack ###
for i in COPYING CREDITS Changelog; do \
  install -D -m 0644 $i $RPM_BUILD_ROOT%{_docdir}/fdutils-%{version}/$i; done
cd doc && for i in *.ps *.pdf *.html css/fdutils.css README cmdname floppy_formats; do \
  install -D -m 0644 $i $RPM_BUILD_ROOT%{_docdir}/fdutils-%{version}/$i; done

%clean
rm -rf ${RPM_BUILD_ROOT}

%post doc
#!/bin/sh
if [ -z "$DURING_INSTALL" ]; then
  %{__install_info} --info-dir=%{_infodir} %{_infodir}/fdutils.info.gz
fi


%preun doc
#!/bin/sh
if [ $1 = 0 ]; then
  %{__install_info} --delete --info-dir=%{_infodir} %{_infodir}/fdutils.info.gz
fi

%files
%defattr(755,root,floppy,-)
%{_bindir}
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/mediaprm

%files doc
%defattr(-,root,root)
%doc %{_mandir}/man1/*
%doc %{_mandir}/man4/*
%doc %{_infodir}/*
%dir %{_docdir}/fdutils-%{version}
%doc %{_docdir}/fdutils-%{version}/*

%changelog
* Wed Mar 23 2005 Stephan Linz <linz@li-pro.net> 5.5-20050323
- upgrade to version 5.5

* Wed Mar 23 2005 Stephan Linz <linz@li-pro.net> 5.4-20050323
- RPM review and rebuild
- fix compile with 2.6 kernel headers (P3)
- added official 20030718 patches.

* Sun Sep 22 2002 Stephan Linz <linz@li-pro.net>
- automatic rebuild
